Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class SOAPBodyImpl

    java.lang.Object
      org.apache.axis.message.NodeImpl
          org.apache.axis.message.SOAPElementImpl
              org.apache.axis.message.SOAPElementAxisImpl
                  org.apache.axis.message.SOAPBodyImpl

All Implemented Interfaces:
  Cloneable, Element, Node, javax.xml.soap.Node, Serializable, javax.xml.soap.SOAPBody, javax.xml.soap.SOAPElement

Direct Known Subclasses:
  SOAPBodyAxisImpl

public class SOAPBodyImpl
extends SOAPElementAxisImpl
implements javax.xml.soap.SOAPBody

An implemenation of the abstract SOAPBody.

This class should not expose functionality that is not part of `SOAPBody`. Client code should use `SOAPBody` whenever possible.

Author:
  Thomas Diesler (thomas.diesler@jboss.org)
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.axis.message.SOAPElementAxisImpl
`SOAPElementAxisImpl.QNameAttr`

Field Summary

Fields inherited from class org.apache.axis.message.SOAPElementAxisImpl
`_isRoot, attributes, context, elementRep, encodingStyle, endEventIndex, href, id, message, name, namespaces, namespaceURI, prefix, qNameAttrs, recorder, soapPart, startContentsIndex, startEventIndex, typeQName`

Fields inherited from class org.apache.axis.message.NodeImpl
`domNode, soapParent`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SOAPBodyImpl(String namespace, String localPart)`
`SOAPBodyImpl(String namespace, String localPart, String prefix, Attributes attributes, DeserializationContext context)`

Method Summary
`javax.xml.soap.SOAPBodyElement` | `addBodyElement(javax.xml.soap.Name name)`
`javax.xml.soap.SOAPBodyElement` | `addDocument(Document doc)`
`javax.xml.soap.SOAPFault` | `addFault()`
`javax.xml.soap.SOAPFault` | `addFault(javax.xml.soap.Name faultCode, String faultString)`
`javax.xml.soap.SOAPFault` | `addFault(javax.xml.soap.Name faultCode, String faultString, Locale locale)`
`javax.xml.soap.SOAPFault` | `getFault()`
`boolean` | `hasFault()`

Methods inherited from class org.apache.axis.message.SOAPElementAxisImpl
`addAttribute, addAttribute, addAttribute, addAttribute, addChild, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addMapping, addNamespaceDeclaration, addTextNode, appendChild, cloneNode, clonning, detachAllChildren, detachNode, getAllAttributes, getAsDocument, getAsDOM, getAsString, getAsStringFromInternal, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getAttributesEx, getAttributeValue, getAttributeValue, getChildElements, getChildElements, getChildNodes, getChildren, getCompleteAttributes, getElementName, getElementsByTagName, getElementsByTagNameNS, getElementsNS, getEncodingStyle, getEnvelope, getFirstChild, getFixupDeserializer, getHref, getID, getLastChild, getLocalName, getName, getNamespacePrefixes, getNamespaceURI, getNamespaceURI, getNextSibling, getNodeType, getNodeValue, getObjectValue, getObjectValue, getOwnerDocument, getParentElement, getParentNode, getPrefix, getPrefix, getPreviousSibling, getQName, getRealElement, getRecorder, getTagName, getType, getValueAsType, getValueAsType, getVisibleNamespacePrefixes, hasAttribute, hasAttributeNS, hasAttributes, hasChildNodes, insertBefore, isDirty, isImmutable, isRoot, isSupported, makeAttributesEditable, normalize, output, outputImpl, printFromInternal, publishContents, publishToHandler, removeAttribute, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, removeContents, removeNamespaceDeclaration, replaceChild, setAllAttributes, setAllImmutable, setAttribute, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setContentsIndex, setDirty, setEncodingStyle, setEndIndex, setEnvelope, setFixupDeserializer, setImmutable, setName, setNamespaceURI, setNSMappings, setObjectValue, setOwnerDocument, setParentElement, setPrefix, setQName, setRecorder, setType`

Methods inherited from class org.apache.axis.message.NodeImpl
`getNodeName, getValue, hashCode, recycleNode, setNodeValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.soap.SOAPElement
`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, addTextNode, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, getVisibleNamespacePrefixes, removeAttribute, removeContents, removeNamespaceDeclaration, setEncodingStyle`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, getValue, recycleNode, setParentElement, setValue`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Constructor Detail

### SOAPBodyImpl

    public SOAPBodyImpl(String namespace,
                        String localPart)

### SOAPBodyImpl

    public SOAPBodyImpl(String namespace,
                        String localPart,
                        String prefix,
                        Attributes attributes,
                        DeserializationContext context)
                 throws AxisFault

Method Detail

### addBodyElement

    public javax.xml.soap.SOAPBodyElement addBodyElement(javax.xml.soap.Name name)
                                                  throws javax.xml.soap.SOAPException

  Specified by:
    `addBodyElement` in interface `javax.xml.soap.SOAPBody`
  Throws:
    `javax.xml.soap.SOAPException`

### addDocument

    public javax.xml.soap.SOAPBodyElement addDocument(Document doc)
                                               throws javax.xml.soap.SOAPException

  Specified by:
    `addDocument` in interface `javax.xml.soap.SOAPBody`
  Throws:
    `javax.xml.soap.SOAPException`

### addFault

    public javax.xml.soap.SOAPFault addFault()
                                      throws javax.xml.soap.SOAPException

  Specified by:
    `addFault` in interface `javax.xml.soap.SOAPBody`
  Throws:
    `javax.xml.soap.SOAPException`

### addFault

    public javax.xml.soap.SOAPFault addFault(javax.xml.soap.Name faultCode,
                                             String faultString)
                                      throws javax.xml.soap.SOAPException

  Specified by:
    `addFault` in interface `javax.xml.soap.SOAPBody`
  Throws:
    `javax.xml.soap.SOAPException`

### addFault

    public javax.xml.soap.SOAPFault addFault(javax.xml.soap.Name faultCode,
                                             String faultString,
                                             Locale locale)
                                      throws javax.xml.soap.SOAPException

  Specified by:
    `addFault` in interface `javax.xml.soap.SOAPBody`
  Throws:
    `javax.xml.soap.SOAPException`

### getFault

    public javax.xml.soap.SOAPFault getFault()

  Specified by:
    `getFault` in interface `javax.xml.soap.SOAPBody`

### hasFault

    public boolean hasFault()

  Specified by:
    `hasFault` in interface `javax.xml.soap.SOAPBody`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.